%
% plots for the aLIGO filter cavity paper
%

function [n1_perfectSQZ,  n1_phaseNoise_FI, n1_injLoss, n1_mm, n1_phaseNoise_FD, n1_lossFC, f] = makePlots_Final_300m(mmPhi)

  f = logspace(0, 4, 1000)';
  
  cavityL = 300;
  cavityLoss = 60e-6;
  
  % Parameters for perfect SQZ 
  sqzDB = 0;
  phiRMS = 0e-3;
  lossInj = 0.0;
  lossRO = 0.0;
  mmSqzFC = 1;
  mmSqzLO = 1;
  %mmPhi = pi/4;
  lengthFC = cavityL;
  lossFC = 0e-6;
  xRMS = 0e-13;


  n1_baseline = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_baseline = 0.5 * mag2db(n1_baseline);

  %%%%%% Squeezing Injection %%%%
  sqzDB = 12; 
  n1_perfectSQZ = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_perfectSQZ = 0.5 * mag2db(n1_perfectSQZ) - n1_baseline;

  %%%%%% Phase noise %%%% 
  phiRMS = 30e-3;  
  n1_phaseNoise_FI = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_phaseNoise_FI = 0.5 * mag2db(n1_phaseNoise_FI) - n1_baseline;
  
  %%%% Injection loss %%%%
  lossInj = 0.05;
  lossRO = 0.1;
  n1_injLoss = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_injLoss = 0.5 * mag2db(n1_injLoss) - n1_baseline;
 
   %%%% Mode matching %%%
   mmSqzFC = 0.97;
   mmSqzLO =0.95; 

  
  n1_mm = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_mm = 0.5 * mag2db(n1_mm) - n1_baseline;

    
  %%%% Frequency dependent phase noise from FC length noise %%%
  %% Comment - Lee's latest estimate of 300m FC lenght noise %%%
  xRMS = 1e-12;
  n1_phaseNoise_FD = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_phaseNoise_FD = 0.5 * mag2db(n1_phaseNoise_FD) - n1_baseline;

  lossFC = cavityLoss;
  n1_lossFC = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_lossFC = 0.5 * mag2db(n1_lossFC) - n1_baseline;
    
end

